---
lang: en
title: 'API docs: openapi-spec-builder.openapispecbuilder.withoperationreturningstring'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.openapispecbuilder.withoperationreturningstring.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [OpenApiSpecBuilder](./openapi-spec-builder.openapispecbuilder.md) &gt; [withOperationReturningString](./openapi-spec-builder.openapispecbuilder.withoperationreturningstring.md)

## OpenApiSpecBuilder.withOperationReturningString() method

Define a new operation that returns a string response.

**Signature:**

```typescript
withOperationReturningString(verb: string, path: string, operationName?: string): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  verb | string | The HTTP verb. |
|  path | string | The path relative to basePath. |
|  operationName | string | _(Optional)_ The name of the controller method implementing this operation (<code>x-operation-name</code> field). |

**Returns:**

this


